- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- WARNINGS
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_library_init, OpenSSL_add_ssl_algorithms - initialize SSL library by registering algorithms

# SYNOPSIS

    #include <openssl/ssl.h>

    int SSL_library_init(void);

    int OpenSSL_add_ssl_algorithms(void);

# DESCRIPTION

SSL_library_init() registers the available SSL/TLS ciphers and digests.

OpenSSL_add_ssl_algorithms() is a synonym for SSL_library_init() and is implemented as a macro.

# NOTES

SSL_library_init() must be called before any other action takes place. SSL_library_init() is not reentrant.

# WARNINGS

SSL_library_init() adds ciphers and digests used directly and indirectly by SSL/TLS.

# RETURN VALUES

SSL_library_init() always returns "1", so it is safe to discard the return value.

# SEE ALSO

ssl(7), RAND_add(3)

# HISTORY

The SSL_library_init() and OpenSSL_add_ssl_algorithms() functions were deprecated in OpenSSL 1.1.0 by OPENSSL_init_ssl().

# COPYRIGHT

Copyright 2000-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.